#include "ExampleTree.h"
#include <stdlib.h>


void ExampleTree::generate() {
	if( root->numChildren != 0 )
		return;
	
	root->setNumChildren(1);
	root->thickness = 20;
	
	Tree *tree1 = new Tree(0, 100, 0);
	root->children[0] = tree1;
	tree1->thickness = 15;
	
	tree1->setNumChildren(3);
	tree1->children[0] = new Tree(0, 140, 0);
	tree1->children[1] = new Tree(-20, 110, 50);
	tree1->children[2] = new Tree(50, 115, 0);
	
	tree1->children[0]->thickness = 10;
	tree1->children[1]->thickness = 8;
	tree1->children[2]->thickness = 8;
	
	tree1 = tree1->children[2];
	tree1->setNumChildren(2);
	tree1->children[0] = new Tree(55, 130, -5);
	tree1->children[1] = new Tree(57, 98, 5);
	
	tree1->children[0]->thickness = 5;
	tree1->children[1]->thickness = 5;
}


/**
 * Does nothing
 */
void ExampleTree::step() {
	
}

