#pragma once

#include "Tree.h"
#include "Treegen.h"
#include "VoxelGrid.h"


class VoxelRandTree : public Treegen
{
	private:
	VoxelGrid *voxels;
	
	public:
	
	/**
	 * Constructor
	 */
	VoxelRandTree()
	: voxels(NULL)
	{
		//root = new Tree(0, 0, 0);	//start at origin
		voxels = new VoxelGrid(10,10,10);
	}
	
	
	
	virtual void generate();
	virtual void step();
	virtual void drawInfo();
};